Package org.python.modules

# Class ucnhash

java.lang.Object
org.python.modules.ucnhash

All Implemented Interfaces:
  `ucnhashAPI`

public class ucnhash extends Object implements ucnhashAPI

## Field Summary

Fields
Modifier and Type
Field
Description
`static String[]`
`__depends__`

## Constructor Summary

Constructors
Constructor
Description
`ucnhash()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCchMax()`
`int`
`getValue(String s, int start, int end)`
`static int`
`hash(String key)`
`static int`
`hash(String key, int start, int end)`
`static void`
`loadTables()`
`static int`
`lookup(String name)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### __depends__

public static String[] __depends__

## Constructor Details

### ucnhash

public ucnhash()

## Method Details

### loadTables

public static void loadTables() throws Exception

Throws:
  `Exception`

### hash

public static int hash(String key)

### hash

public static int hash(String key, int start, int end)

### lookup

public static int lookup(String name)

### getCchMax

public int getCchMax()

Specified by:
  `getCchMax` in interface `ucnhashAPI`

### getValue

public int getValue(String s, int start, int end)

Specified by:
  `getValue` in interface `ucnhashAPI`